Subject: bug#36107: Global Buttons Stop Functioning When Current Working Directory Changes (Forgot the Subject!)

From: "Bemiller, Eric Timothy" <[email-masked]>
Date: Fri, 7 Jun 2019 17:12:33 +0000

Sure! Using only the attached init – which literally just loads Hyperbole -- I pull the incomplete versions of those files from elpa.gnu.org

And here’s the value of my `package-archives` when running that init:

package-archives is a variable defined in ‘package.el’.
Its value is (("gnu" . "https://elpa.gnu.org/packages/"))

I’m on a stock version of Emacs installed from the Emacs site, running regular Windows 10.

From: Robert Weiner <[email-masked]>
Sent: Friday, June 7, 2019 12:58 PM
To: Bemiller, Eric Timothy <[email-masked]>
Cc: [email-masked]; Stefan Monnier <[email-masked]>; Lidell Mats <[email-masked]>
Subject: Re: bug#36107: Global Buttons Stop Functioning When Current Working Directory Changes (Forgot the Subject!)

On Fri, Jun 7, 2019 at 9:20 AM Bemiller, Eric Timothy <[email-masked]<mailto:[email-masked]>> wrote:
I didn't reply all on the below -- whoops!

I'm laughing here, because I've been on your side of conversations like this a dozen times.

Unfortunately, I don't use git. The two files I sent over come from the code that's installed by the package manager directly.

You are not getting Hyperbole V7.0.3 even though the version says that.  You must have something in your initializations that is pointing somewhere that says, "Give me the latest code from Elpa" rather than "give me the code published with the latest release number".  Please send the value of
the 'package-archives' variable, so we can see from where your packages are coming.

Mine that gets me the right code looks like:

package-archives is a variable defined in ‘package.el’.
Its value is
(("gnu" . "https://elpa.gnu.org/packages/")
 ("melpa" . "https://melpa.org/packages/"))
Original value was
(("gnu" . "https://elpa.gnu.org/packages/"))

Bob

To get them, I moved my actual `.emacs.d` folder somewhere else, created a new `.emacs.d` folder containing an init that had only this in it:

(require 'package)
      (setq package-enable-at-startup nil) ;; Prevent double loading of libraries
      (package-initialize)
      (unless (package-installed-p 'hyperbole)
        (package-refresh-contents)
        (package-install 'hyperbole))
      (require 'hyperbole)

And then started Emacs as normal.

I tested this exact procedure again this morning, and although for whatever reason I got a couple of bad signature errors from elpa.gnu.org<http://elpa.gnu.org>, the same set of files with the same missing stuff came down.

I swear I'm not *trying* to be frustrating! Sorry!

Addition: I checked the savannah link that's on the Hyperbole page (https://git.savannah.gnu.org/cgit/hyperbole.git/tree/, linked from the "ftp and git" section) and the `hypb.el` in there seems to be the same incomplete one I'm getting from the package manager:

https://git.savannah.gnu.org/cgit/hyperbole.git/tree/hbut.el

Thanks again for looking into all this stuff!
________________________________________
From: Robert Weiner <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, June 6, 2019 11:37 PM
To: Bemiller, Eric Timothy
Cc: [email-masked]<mailto:[email-masked]>; Stefan Monnier; Lidell Mats
Subject: Re: bug#36107: Global Buttons Stop Functioning When Current Working Directory Changes (Forgot the Subject!)

On Thu, Jun 6, 2019 at 7:45 PM Eric Bemiller <[email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>>> wrote:

Sure thing -- hopefully they're attached. These are a fresh download from elpa.gnu.org<http://elpa.gnu.org><http://elpa.gnu.org>

Ok, that helped show what is going on.  You apparently are not downloading release 7.0.3 but the head of the elpa git tree which includes a bunch of additional changes that Stefan M. made for potential future use, as you can see here:

http://git.savannah.gnu.org/gitweb/?p=emacs/elpa.git;a=shortlog;h=refs/heads/externals/hyperbole

So instead, don't use any form of git, just install Hyperbole from the package manager after getting rid of all other versions and you will get version 7.0.3 (confirmed today).  Then apply that one patch I sent you.

Bob